<?xml version="1.0" encoding="utf-8"?>
<LinearLayout
	xmlns:android="http://schemas.android.com/apk/res/android"
	android:layout_height="match_parent"
	android:layout_width="match_parent"
	android:orientation="vertical"
	xmlns:app="http://schemas.android.com/apk/res-auto">

	<android.support.design.widget.AppBarLayout
		android:layout_width="match_parent"
		android:layout_height="wrap_content"
		android:theme="@style/ThemeOverlay.AppCompat.Dark.ActionBar">

		<android.support.v7.widget.Toolbar
			android:id="@+id/toolbar"
			android:layout_width="match_parent"
			android:layout_height="?attr/actionBarSize"
			android:background="?attr/colorPrimary"
			app:popupTheme="@style/ThemeOverlay.AppCompat">
			<Spinner
				android:layout_height="wrap_content"
				android:id="@+id/toolbarSpinner"
				android:layout_width="wrap_content"/>
		</android.support.v7.widget.Toolbar>

	</android.support.design.widget.AppBarLayout>

	<RelativeLayout
		android:layout_height="wrap_content"
		android:layout_width="match_parent"
		android:padding="8dp">

		<LinearLayout
			android:layout_height="wrap_content"
			android:layout_width="wrap_content"
			android:orientation="vertical"
			android:id="@+id/mainLinearLayout1">

			<ToggleButton
				android:id="@+id/modeSwitch"
				android:layout_height="wrap_content"
				android:layout_width="wrap_content"
				android:textOff="Manual"
				android:textOn="GPS"/>

			<FrameLayout
				android:layout_height="wrap_content"
				android:layout_width="wrap_content">

				<TextView
					android:layout_height="wrap_content"
					android:textAppearance="?android:attr/textAppearanceSmall"
					android:layout_width="wrap_content"
					android:text="Lat :"
					android:id="@+id/latText"/>

			</FrameLayout>

			<FrameLayout
				android:layout_height="wrap_content"
				android:layout_width="wrap_content">

				<TextView
					android:layout_height="wrap_content"
					android:textAppearance="?android:attr/textAppearanceSmall"
					android:layout_width="wrap_content"
					android:id="@+id/lonText"
					android:text="Lon :"/>

				<EditText
					android:layout_height="wrap_content"
					android:layout_width="wrap_content"
					android:ems="10"
					android:textAppearance="?android:attr/textAppearanceSmall"
					android:hint="Lon"
					android:id="@+id/lonEdit"
					android:visibility="gone"/>

			</FrameLayout>

		</LinearLayout>

		<RadioGroup
			android:layout_height="wrap_content"
			android:layout_width="wrap_content"
			android:orientation="vertical"
			android:layout_alignParentEnd="true"
			android:padding="8dp"
			android:id="@+id/radiogr">

			<RadioButton
				android:layout_height="wrap_content"
				android:layout_width="wrap_content"
				android:enabled="false"
				android:id="@+id/radioAller"
				android:text="Going"/>

			<RadioButton
				android:layout_height="wrap_content"
				android:layout_width="wrap_content"
				android:enabled="false"
				android:id="@+id/radioRetour"
				android:text="Coming"/>

		</RadioGroup>

		<CheckBox
			android:layout_height="wrap_content"
			android:layout_width="wrap_content"
			android:id="@+id/radiocheck"
			android:layout_toLeftOf="@id/radiogr"/>

		<LinearLayout
			android:focusable="true"
			android:focusableInTouchMode="true"
			android:layout_width="0px"
			android:layout_height="0px"/>

		<android.support.design.widget.TextInputLayout
			android:id="@+id/text_input_layout"
			android:layout_width="match_parent"
			android:layout_below="@id/mainLinearLayout1"
			android:layout_height="wrap_content">
		<EditText
			android:layout_height="wrap_content"
			android:layout_width="match_parent"
			android:id="@+id/stopName"
			android:inputType="text"
			android:maxLines="1"
			android:imeOptions="actionSend"
			android:nextFocusUp="@id/stopName"
			android:nextFocusLeft="@id/stopName"
			android:hint="Stop Name"/>
		</android.support.design.widget.TextInputLayout>

	</RelativeLayout>

	<View
		android:background="?android:attr/dividerVertical"
		android:layout_height="1dp"
		android:layout_width="match_parent"/>

	<FrameLayout
		android:layout_height="match_parent"
		android:layout_width="match_parent">

		<android.support.v4.view.ViewPager
			android:layout_height="match_parent"
			android:layout_width="match_parent"
			android:id="@+id/mapPager"/>

		<android.support.design.widget.FloatingActionButton
			android:layout_height="64dp"
			android:layout_width="64dp"
			android:layout_gravity="bottom|end|right"
			android:layout_marginBottom="80dp"
			android:layout_marginEnd="16dp"
			android:layout_marginRight="16dp"
			android:id="@+id/floatSave"
			android:src="@drawable/save"/>

	</FrameLayout>

</LinearLayout>

